<?php

/**
 * @file
 *   Integrated to Views.
 */

/**
 * Implements hook_views_data().
 */
function shurlyauto_views_data() {
  // Basic table information.
  $data['shurlyauto']['table']['group']  = t('ShURLy Auto');

  // Advertise this table as a possible base table.
  $data['shurlyauto']['table']['base'] = array(
    'field' => 'sid',
    'title' => t('ShURLy Auto'),
    'help' => t('ShURLy Auto list.'),
    'weight' => 10,
  );

  $data['users']['table']['join'] = array(
    'shurlyauto' => array(
      'left_field' => 'uid',
      'field' => 'uid',
      'type' => 'LEFT',
    ),
  );

  $data['node']['table']['join'] = array(
    'shurlyauto' => array(
      'left_field' => 'nid',
      'field' => 'nid',
      'type' => 'LEFT',
    ),
  );

  $data['shurlyauto']['sid'] = array(
    'title' => t('ShURLy Auto ID'),
    'help' => t('The ShURLy Auto ID.'),
    'field' => array(
      'handler' => 'views_handler_field',
      'click sortable' => TRUE,
    ),
    'filter' => array(
      'handler' => 'views_handler_filter_numeric',
    ),
    'sort' => array(
      'handler' => 'views_handler_sort',
    ),
    'argument' => array(
      'handler' => 'views_handler_argument_numeric',
    ),
  );

  $data['shurlyauto']['nid'] = array(
    'title' => t('NID'),
    'help' => t('The Node ID.'),
    'field' => array(
      'handler' => 'views_handler_field',
      'click sortable' => TRUE,
    ),
    'filter' => array(
      'handler' => 'views_handler_filter_numeric',
    ),
    'sort' => array(
      'handler' => 'views_handler_sort',
    ),
    'argument' => array(
      'handler' => 'views_handler_argument_numeric',
    ),
  );

  $data['shurlyauto']['longurl'] = array(
    'title' => t('Long URL'),
    'help' => t('The Long URL.'),
    'field' => array(
      'handler' => 'views_handler_field',
      'click sortable' => TRUE,
    ),
    'filter' => array(
      'handler' => 'views_handler_filter_string',
    ),
    'sort' => array(
      'handler' => 'views_handler_sort',
    ),
    'argument' => array(
      'handler' => 'views_handler_argument_string',
    ),
  );

  $data['shurlyauto']['shorturl'] = array(
    'title' => t('Short URL'),
    'help' => t('The ShURLy Auto URL.'),
    'field' => array(
      'handler' => 'views_handler_field',
      'click sortable' => TRUE,
    ),
    'filter' => array(
      'handler' => 'views_handler_filter_string',
    ),
    'sort' => array(
      'handler' => 'views_handler_sort',
    ),
    'argument' => array(
      'handler' => 'views_handler_argument_string',
    ),
  );

  $data['shurlyauto']['uid'] = array(
    'title' => t('User ID'),
    'help' => t('The User ID who created the shortened URL.'),
    'field' => array(
      'handler' => 'views_handler_field',
      'click sortable' => TRUE,
    ),
    'filter' => array(
      'handler' => 'views_handler_filter_numeric',
    ),
    'sort' => array(
      'handler' => 'views_handler_sort',
    ),
    'argument' => array(
      'handler' => 'views_handler_argument_numeric',
    ),
  );

  $data['shurlyauto']['ip'] = array(
    'title' => t('IP Address'),
    'help' => t('The IP address who created the shortened URL.'),
    'field' => array(
      'handler' => 'views_handler_field',
      'click sortable' => TRUE,
    ),
    'filter' => array(
      'handler' => 'views_handler_filter_string',
    ),
    'sort' => array(
      'handler' => 'views_handler_sort',
    ),
    'argument' => array(
      'handler' => 'views_handler_argument_string',
    ),
  );

  $data['shurlyauto']['created'] = array(
    'title' => t('Created'),
    'help' => t('The created time of short URL.'),
    'field' => array(
      'handler' => 'views_handler_field_date',
      'click sortable' => TRUE,
    ),
    'sort' => array(
      'handler' => 'views_handler_sort',
    ),
    'filter' => array(
      'handler' => 'views_handler_filter_date',
    ),
  );

  return $data;
}

/**
 * Implements hook_views_handlers().
 */
function shurlyauto_views_handlers() {
  return array(
    'info' => array(
      'path' => drupal_get_path('module', 'shurlyauto'),
    ),
    'handlers' => array(
      'shurlyauto_views_handler_filter_string_service' => array(
        'parent' => 'views_handler_filter_many_to_one',
      ),
      'shurlyauto_views_handler_field_hostname' => array(
        'parent' => 'views_handler_field',
      ),
    ),
  );
}

